#1576 (4.3) Zeroconf PMA tables support

4.3.1
fixed
5
2014-12-12
2008-10-13
No

Could you add zero configuration PMA tables support?

Only creating (some of) the PMA tables in a DB should be enough to enable these features. No config.inc.php modification should be needed.

It'd also be nice if PMA offered the user a way to automatically create those tables.

Related

Feature Requests: #1576

Discussion

1 2 > >> (Page 1 of 2)
  • Isaac Bennetch

    Isaac Bennetch - 2008-11-07

    I completely agree.

    Perhaps instead of the config.inc.php options to configure a name for each database, we could simply allow for a database name and prefix (much like gallery, wordpress, etc do) [so users limited to one or two databases on their host can still configure the pmadb with a prefix like "pma_" and table names like pma_bookmarks, pma_comments. By not allowing the user to configure custom table names, we can remove config.inc.php options and make configuration easier.

    Anyway, those are side benefits to what I see as the real goal; pma should automatically look for and use the tables that are available instead of relying on configuration variables to decide whether or not to use them.

     
  • Ruben Barkow

    Ruben Barkow - 2009-07-05

    if someone want an insecure phpmyadmin, there could be an option in the configig-file, not to use the pmatables

     
  • Olaf van der Spek

    This isn't related to security at all.

     
  • Olaf van der Spek

    I'd love to see this one. Any ETA?

     
  • Marc Delisle

    Marc Delisle - 2013-12-05
    • labels: Relations,Comments,History,... --> Relations, Comments, History, ..., GSOC 2014
    • assigned_to: Marc Delisle
    • Group: --> Needs_decision
     
  • Olaf van der Spek

    Hi Marc,

    Any updates?

     
  • Marc Delisle

    Marc Delisle - 2014-02-10

    Hi Olaf,
    this feature has been scheduled for the upcoming Google Summer of Code 2014.

     
  • Smita Kumari

    Smita Kumari - 2014-03-19

    Hi
    I think I didn't get what did you mean by zeroConf. does this mean we need to remove the config.inc.php completely and keep all the configuration related data in database table let say phpmyadmin->pma_config. Also system setup will update this table itself. And about the custom tables names in config.inc.php, I think whenever user try to access a feature first time that uses one the custom tables eg pma_bookmarks for bookmarking then PMA automatically creates that table in phpmyadmin database or prompt user to confirm the action to create table and then create one.
    Did I understand correctly?

     
    Last edit: Smita Kumari 2014-03-19
  • Marc Delisle

    Marc Delisle - 2014-03-19

    Smita,
    config.inc.php will stay; the goal of this feature request is to avoid having to make changes in config.inc.php to specify these table names that the phpMyAdmin configuration storage is expecting. Obviously, the user would have to use the default table names for this. However, the phpMyAdmin configuration storage also allows to specify a central database in case of a multi-user installation. IMO, this Zeroconf feature could not replace this central database feature, because the common database name is not known.

    There is also an aspect of being able to create the tables via the UI, instead of via an import of the already-prepared .sql file.

     
  • Marc Delisle

    Marc Delisle - 2014-08-11
    • summary: Zeroconf PMA tables support --> (ok 4.3) Zeroconf PMA tables support
    • status: open --> resolved
    • Group: Needs_decision --> Next_release
    • Priority: 5 --> 1
     
  • Marc Delisle

    Marc Delisle - 2014-12-05
    • Status: resolved --> fixed
     
  • Olaf van der Spek

    Appears to be broken in 4.3.1, reports were automatically send.

     
  • Marc Delisle

    Marc Delisle - 2014-12-10

    Please describe the scenario where this is broken. Also, is this a problem that appeared for you between 4.3.0 and 4.3.1?

     
  • Olaf van der Spek

    Didn't try 4.3.0.
    1. Select DB
    2. Operations
    3. Find out Why (The phpMyAdmin configuration storage has been deactivated. Find out why.)

    Warning in ./libraries/url_generating.lib.php#196
    Illegal string offset 'token'

    Backtrace

    ./libraries/relation.lib.php#1908: PMA_URL_getCommon(string 'ipt')
    ./libraries/relation.lib.php#109: PMA_getHtmlFixPMATables()
    ./chk_rel.php#18: PMA_getRelationsParamDiagnostic(array)

    Warning in ./libraries/url_generating.lib.php#203
    http_build_query(): Parameter 1 expected to be Array or Object. Incorrect value given

    Backtrace

    ./libraries/url_generating.lib.php#203: http_build_query(
    string 'ept',
    string '',
    string '&',
    )
    ./libraries/relation.lib.php#1908: PMA_URL_getCommon(string 'ipt')
    ./libraries/relation.lib.php#109: PMA_getHtmlFixPMATables()
    ./chk_rel.php#18: PMA_getRelationsParamDiagnostic(array)

    Some errors have been detected on the server!
    As per your settings, they are being submitted currently, please be patient.

    Additionaly, when I click on Create (Create the phpMyAdmin configuration storage in the current database.) I get "Error: Token mismatch"

     
  • Marc Delisle

    Marc Delisle - 2014-12-10
    • summary: (ok 4.3) Zeroconf PMA tables support --> Zeroconf PMA tables support
    • status: fixed --> open
     
  • Marc Delisle

    Marc Delisle - 2014-12-10

    Ticket moved from /p/phpmyadmin/feature-requests/1123/

     
  • Madhura Jayaratne

    • assigned_to: Madhura Jayaratne
     
  • Madhura Jayaratne

    • summary: Zeroconf PMA tables support --> (4.3) Zeroconf PMA tables support
    • status: open --> fixed
     
  • Madhura Jayaratne

    Marc, I think this tracker item can be moved back to feature requests tracker.

     
  • Marc Delisle

    Marc Delisle - 2014-12-11

    Ticket moved from /p/phpmyadmin/bugs/4641/

     
  • Olaf van der Spek

    Just wondering, was this feature not tested?

     
  • Marc Delisle

    Marc Delisle - 2014-12-11

    Yes, it was tested at time of implementation. The bug was introduced later in the development of 4.3.0 and all of the new features were not retested. That's one of the reasons why we publish alpha, beta and release candidates - to get more testers.

     
    • Olaf van der Spek

      I take it automating such tests is quite hard if not impossible.

      On Thu, Dec 11, 2014 at 1:49 PM, Marc Delisle lem9@users.sf.net wrote:

      Yes, it was tested at time of implementation. The bug was introduced later
      in the development of 4.3.0 and all of the new features were not retested.
      That's one of the reasons why we publish alpha, beta and release candidates
      - to get more testers.


      [feature-requests:#1576] (4.3) Zeroconf PMA tables support

      Status: fixed
      Group: 4.3.1
      Labels: Relations Comments History ... GSOC 2014
      Created: Mon Oct 13, 2008 04:12 PM UTC by Olaf van der Spek
      Last Updated: Thu Dec 11, 2014 12:36 PM UTC
      Owner: Madhura Jayaratne

      Could you add zero configuration PMA tables support?

      Only creating (some of) the PMA tables in a DB should be enough to
      enable these features. No config.inc.php modification should be needed.

      It'd also be nice if PMA offered the user a way to automatically create
      those tables.


      Sent from sourceforge.net because you indicated interest in <
      https://sourceforge.net/p/phpmyadmin/feature-requests/1576/>

      To unsubscribe from further messages, please visit <
      https://sourceforge.net/auth/subscriptions/>

      --
      Olaf

       

      Related

      Feature Requests: #1576

1 2 > >> (Page 1 of 2)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks